<?php
// +-----------------------------------------------------------------------+
// | FacebookPlug - a Piwigo Plugin                                        |
// | Copyright (C) 2010 Ruben ARNAUD - rub@piwigo.org                      |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

if (!defined('PHPWG_ROOT_PATH'))
{
  die('Hacking attempt!');
}

function fbp_AddSocial($content, &$smarty)
{
  // iframe implementation
/*  $fbp_content = '
<iframe src="http://www.facebook.com/plugins/like.php?href={$SRC_IMG}&amp;layout=standard&amp;show_faces=true&amp;width={$WIDTH_IMG}&amp;action=like&amp;colorscheme=light&amp;height=80" scrolling="no" frameborder="0" style="border:none; overflow:hidden; width:{$WIDTH_IMG}px; height:80px;" allowTransparency="true"></iframe>
';*/

  // XFBML implementation
  // async method
/*  $fbp_content = '
<div id="fb-root"></div> 
<script>
{literal}
  window.fbAsyncInit = function() { 
    FB.init({ 
      appId  : \'111499825588662\', 
      status : true, // check login status 
      cookie : true, // enable cookies to allow the server to access the session 
      xfbml  : true  // parse XFBML 
    }); 
  }; 
  (function() {
    var e = document.createElement(\'script\');
  {/literal}
    e.src = document.location.protocol + \'//connect.facebook.net/{$language}/all.js\';
{literal}
    e.async = true;
    document.getElementById(\'fb-root\').appendChild(e);
  }());
{/literal}
</script>
';*/
  // sync method
  $fbp_content = '
<div id="fb-root"></div>
<script src="http://connect.facebook.net/en_US/all.js"></script>
<script>
  FB.init({ldelim}
    appId  : \'111499825588662\',
    status : true, // check login status
    cookie : true, // enable cookies to allow the server to access the session
    xfbml  : true  // parse XFBML
 {rdelim});
</script>
<script src="http://connect.facebook.net/{$language}/all.js#xfbml=1"></script>
';
  $fbp_content .= '
<fb:like href="{$SRC_IMG}" show_faces="true" width="{$WIDTH_IMG}"></fb:like>
';
  return $content.$fbp_content;
}

function fbp_loc_begin_picture()
{
  global $template, $user;

  // set prefilter
  $template->set_prefilter('header', 'fbp_header');
  $template->set_prefilter('default_content', 'fbp_AddSocial');
  // Always use full url for FB social plugin
  set_make_full_url();
  // define language
  $template->assign('language', $user['language']);
}

function fbp_loc_end_picture()
{
  // Restore url
  unset_make_full_url();
}

function fbp_header($content, &$smarty)
{
  $search = '#<html #';

  $replacement = '<html xmlns:fb="http://www.facebook.com/2008/fbml" ';

  return preg_replace($search, $replacement, $content);
}

add_event_handler('loc_begin_picture', 'fbp_loc_begin_picture');
add_event_handler('loc_end_picture', 'fbp_loc_end_picture');

?>
